Bug 1691115 - Samba's testsuite requires python subunit.tests
Summary: Samba's testsuite requires python subunit.tests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: subunit
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-20 22:19 UTC by Andreas Schneider
Modified: 2019-03-31 00:03 UTC (History)
4 users (show)

Fixed In Version: subunit-1.3.0-4.fc29 subunit-1.3.0-9.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-27 15:00:48 UTC


Attachments (Terms of Use)
spec file patch (1.62 KB, text/plain)
2019-03-20 22:19 UTC, Andreas Schneider
no flags Details
Proposed spec file (19.16 KB, text/x-matlab)
2019-03-21 03:10 UTC, Jerry James
no flags Details

Description Andreas Schneider 2019-03-20 22:19:39 UTC
Created attachment 1546258 [details]
spec file patch

Description of problem:

The Samba testsuite requires subunit.tests for python to run it's test suite. However we do not package that anymore.

I've tried to patch it but couldn't get it fully working yet. I will attach a patch with what I've done so far.


To check that Samba is working:

dnf builddep samba
git clone git://git.samba.org/samba.git
cd samba
./configure.developer --system-mit-krb5
make -j8
make -j8 test TESTS="subunit.tests.test_suite"


The current failure is:

Exception: testtools.testresult.real._StringException: Traceback (most recent call last):                                                                                
  File "/usr/lib/python3.7/site-packages/subunit/tests/test_subunit_filter.py", line 347, in test_tags                                                                                      
    ['-s', '--with-tag', 'a'], byte_stream.getvalue())
  File "/usr/lib/python3.7/site-packages/subunit/tests/test_subunit_filter.py", line 316, in run_command                                                                                    
    raise RuntimeError("%s failed: %s" % (command, err))
RuntimeError: ['/usr/bin/python3', '/usr/lib/python3.7/filters/subunit-filter', '-s', '--with-tag', 'a'] failed: b"/usr/bin/python3: can't open file '/usr/lib/python3.7/filters/subunit-filter': [Errno 2] No such file or directory\n"

Comment 1 Andreas Schneider 2019-03-20 22:20:59 UTC
We need this in f30 and f29 too.

Comment 2 Jerry James 2019-03-21 03:10:06 UTC
Created attachment 1546283 [details]
Proposed spec file

Can you try this version of the spec file and see if it meets your needs?  I'm a bit worried that the filters are hardwired to either python2 or python3, but it may work regardless.

The tests are in new subpackages, python2-subunit-tests and python3-subunit-tests.

Comment 3 Andreas Schneider 2019-03-21 08:37:15 UTC
Thanks for looking into this Jerry!

subunit-%{filters} = 1.3.0-8.fc31 is needed by python3-subunit-test-1.3.0-8.fc31.noarch

It needs to be %{name}-filters :-)

After fixing this typo everything works as expected ...

Comment 4 Jerry James 2019-03-23 23:09:51 UTC
Great!  I'll fix that typo and get some builds going.

Comment 5 Fedora Update System 2019-03-23 23:45:14 UTC
subunit-1.3.0-8.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-613edc58f4

Comment 6 Fedora Update System 2019-03-23 23:45:23 UTC
subunit-1.3.0-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1a8666f2eb

Comment 7 Fedora Update System 2019-03-24 03:13:26 UTC
subunit-1.3.0-8.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-613edc58f4

Comment 8 Fedora Update System 2019-03-25 06:48:43 UTC
subunit-1.3.0-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1a8666f2eb

Comment 9 Fedora Update System 2019-03-27 15:00:48 UTC
subunit-1.3.0-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-03-28 02:38:02 UTC
subunit-1.3.0-9.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-613edc58f4

Comment 11 Fedora Update System 2019-03-29 00:12:24 UTC
subunit-1.3.0-9.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-613edc58f4

Comment 12 Fedora Update System 2019-03-31 00:03:21 UTC
subunit-1.3.0-9.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.